Prometheus Scripts for Metrics
==============================

These are miscellaneous scripts that I use to generate metrics from various
systems.

_Warning:_ Unless otherwise mentioned, these scripts are _not_ designed to
be robust, or even wholly correct; they are sufficient for _my_ particular
uses and are not necessarily suitable for a production environment.  I hope
that they are useful as a guide to writing your own scripts for gathering
similar metrics.


## How To Use
These scripts are intended to be used with the textfile exporter of
`prometheus-node-exporter`.

## Available Metrics
- [Printers](./printer/)
  - [Epson ET-2720](./printer/epson/et-2720)
- [X.509](./x509/)
  - [expiry](./x509/expiry/)
